Subject: bug#20554: Fwd: Minor bug in dunnet

From: Lu Wang <[email-masked]>
Date: Tue, 12 May 2015 11:02:45 +0800

Hello,

  (Sorry I have posted this email to -devel by mistake)

  It seems to me that in dunnet, the line that extracts the current time is
offset by 1.  You may try to eval:

(substring (current-time-string) 11 19)
and
(substring (current-time-string) 12 20)

  While I believe that the game must have once worked with earlier versions
of emacs, I'm not sure if (substring) or (current-time-string) has been
changed since then.

  Please find the patch below.

  Thanks!

  regards,
  - Lu Wang

/////
diff --git a/lisp/play/dunnet.el b/lisp/play/dunnet.el
index 2f4536c..2d1a58f 100644
--- a/dunnet.el
+++ b/dunnet.el
@@ -3099,7 +3099,7 @@ File not found")))
 (defun dun-dos-boot-msg ()
   (sleep-for 3)
   (dun-mprinc "Current time is ")
-  (dun-mprincl (substring (current-time-string) 12 20))
+  (dun-mprincl (substring (current-time-string) 11 19))
   (dun-mprinc "Enter new time: ")
   (dun-read-line)
   (if (not dun-batch-mode)